package at.objectbay.tests.swe;

import static org.junit.Assert.*;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.switchyard.test.Invoker;
import org.switchyard.test.ServiceOperation;
import org.switchyard.test.SwitchYardRunner;
import org.switchyard.test.SwitchYardTestCaseConfig;
import org.switchyard.test.mixins.CDIMixIn;

@RunWith(SwitchYardRunner.class)
@SwitchYardTestCaseConfig(mixins = CDIMixIn.class, config = SwitchYardTestCaseConfig.SWITCHYARD_XML)
public class DeliverTest {

	@ServiceOperation("Deliver")
	private Invoker service;

	@Test
	public void testDeliverService() throws Exception {

		System.out.println("Start "+this.getClass().getName());
		Order order = new Order(10, "Bergschuhe");
		service.operation("process").sendInOnly(order);

		assertEquals("Count zurückgesetzt", 0, order.getCount());
		assertTrue("Order is ordered", order.isOrdered());

	}

}
